
Redmine - Patch #30818

Issues autocomplete should respond with content type json

2019-02-17 15:30 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.9   

Description

Currently, issues/auto_complete respond with:

Content-Type: text/html; charset=utf-8

 The attach patch changes the response to:

Content-Type: application/json; charset=utf-8

 and prevent errors like #29276.

Related issues:

Has duplicate Redmine - Defect #29276: Autocomplete does not show anything Closed

Associated revisions

Revision 17881 - 2019-02-18 15:56 - Go MAEDA

Issues autocomplete should response with content type json and not html (#30818).

Patch by Marius BALTEANU.

Revision 17882 - 2019-02-18 16:13 - Go MAEDA

Merged r17881 from trunk to 4.0-stable (#30818).

Revision 17886 - 2019-02-19 10:37 - Go MAEDA

Merged r17881 from trunk to 3.4-stable (#30818).

History

#1 - 2019-02-17 15:31 - Marius BĂLTEANU

- Has duplicate Defect #29276: Autocomplete does not show anything added

#2 - 2019-02-17 15:43 - Go MAEDA

- Category set to UI

- Target version set to 4.0.2

#3 - 2019-02-18 15:56 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch. Thanks.

#4 - 2019-02-18 16:14 - Go MAEDA

- Status changed from Resolved to Closed

#5 - 2019-02-19 10:19 - Christian Wolf

Go MAEDA wrote:
https://www.redmine.org/issues/29276


Committed the patch. Thanks.

 Is there a chance that the pachs is inserted into the 3.4 version?

#6 - 2019-02-19 10:25 - Go MAEDA

- Status changed from Closed to Reopened

- Target version changed from 4.0.2 to 3.4.9

#7 - 2019-02-19 10:39 - Go MAEDA

- Status changed from Reopened to Closed

Christian Wolf wrote:

Is there a chance that the pachs is inserted into the 3.4 version?

 Thank you for pointing it out. I have just merged r17881 to 3.4-stable branch. The fix will be delivered in 3.4.9.
